#include <bits/stdc++.h>

using namespace std;

bool a[11];

int main()
{
    int t;
    cin >> t;

    for(int i = 0; i < t; i++)
    {
        long long n;
        long long m;
        long long k;

        cin >> n;
        cin >> m;
        cin >> k;

        if(n > m)
        {
            a[i] = false;
        }
        else
        {
            long long kol = n / k;
            long long ost = n % k;

            if(m >= (k * ((kol * (kol + 1)) / 2)) + (ost * (kol + 1)))
                a[i] = true;
            else
                a[i] = false;
        }
    }

    for(int i = 0; i < t; i++)
    {
        if(a[i])
            cout << "Tak" << '\n';
        else
            cout << "Nie" << '\n';
    }

    return 0;
}